function encodeSymbol(symbol) {
    var esymbol = false;
    if (symbol) {
        symbol = symbol.replace(/^\s+/, '').replace(/\s+$/, '');
        esymbol = symbol.match(/[A-Z][0-9]{0,2}[A-Z]?/);
        if (esymbol && symbol.length > 4) {
            var group = symbol.match(/[1-9][0-9]{0,3}\/[0-9]{2,6}/);
            if (group) {
                esymbol = esymbol[0];
                var grouplist = group[0].replace(/^\s+/, '').split('/');
                var grp = grouplist[0];
                switch (grp.length) {
                    case 1:
                        esymbol = esymbol.concat('000', grp);
                        break;
                    case 2:
                        esymbol = esymbol.concat('00', grp);
                        break;
                    case 3:
                        esymbol = esymbol.concat('0', grp);
                        break;
                    case 4:
                        esymbol = esymbol.concat(grp);
                        break;
                }
                var subgrp = grouplist[1];
                switch (subgrp.length) {
                    case 2:
                        esymbol = esymbol.concat(subgrp, '0000');
                        break;
                    case 3:
                        esymbol = esymbol.concat(subgrp, '000');
                        break;
                    case 4:
                        esymbol = esymbol.concat(subgrp, '00');
                        break;
                    case 5:
                        esymbol = esymbol.concat(subgrp, '0');
                        break;
                    case 6:
                        esymbol = esymbol.concat(subgrp);
                        break;
                }
            }
        } else if (esymbol) {
            esymbol = esymbol[0];
        }
    }
    return esymbol;
}